%define api_version	2
%define lib_major	0
%define libname	%mklibname gnomecanvas %{api_version} %{lib_major}
%define libnamedev %mklibname -d gnomecanvas %{api_version}

Summary:	GnomeCanvas widget
Name:		libgnomecanvas
Version:        2.30.3
Release:        %mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	bison
BuildRequires: pkgconfig(gail) >= 1.9.0
BuildRequires: pkgconfig(glib-2.0) >= 2.10.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.2.0
BuildRequires: pkgconfig(libart-2.0) >= 2.3.8
BuildRequires: pkgconfig(pango) >= 1.0.1
BuildRequires: pkgconfig(pangoft2) >= 1.0.1
BuildRequires:	intltool

%description
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	%name >= %version

%description -n %{libname}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains the main canvas library.


%package -n %{libnamedev}
Summary:	Development libraries and include files for GnomeCanvas widget
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:  %mklibname -d gnomecanvas %{api_version} %{lib_major}
Provides:  %mklibname -d gnomecanvas %{api_version} %{lib_major}

%description -n %{libnamedev}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains static library and header files for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%{find_lang} %{name}-2.0

%files -f %{name}-2.0.lang

%files -n %{libname}
%{_libdir}/libgnomecanvas-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%doc ChangeLog NEWS README AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog

* Wed Sep 14 2011 fwang <fwang> 2.30.3-4.mga2
+ Revision: 143421
- drop .la files

* Sun Jun 26 2011 dmorgan <dmorgan> 2.30.3-3.mga2
+ Revision: 113842
- Add back .la files for now

* Thu Jun 09 2011 dmorgan <dmorgan> 2.30.3-2.mga2
+ Revision: 102505
- Remove la files

* Tue Feb 01 2011 dmorgan <dmorgan> 2.30.3-1.mga1
+ Revision: 46022
- New version

* Thu Jan 13 2011 blino <blino> 2.30.2-2.mga1
+ Revision: 8913
- remove old conflicts and ldconfig scriptlets
- imported package libgnomecanvas

